Index: palm/trunk/TESTS/cases/urban_environment_salsa/MONITORING/urban_environment_salsa_rc.000
===================================================================
--- palm/trunk/TESTS/cases/urban_environment_salsa/MONITORING/urban_environment_salsa_rc.000	(revision 4741)
+++ palm/trunk/TESTS/cases/urban_environment_salsa/MONITORING/urban_environment_salsa_rc.000	(revision 4748)
@@ -1,10 +1,10 @@
 
  ******************************    --------------------------------------------
- * PALM 6.0  Rev: 4740M       *    atmosphere - run without 1D - prerun
+ * PALM 6.0  Rev: 4746M       *    atmosphere - run without 1D - prerun
  ******************************    --------------------------------------------
 
- Date:               2020-10-14    Run:       urban_environment_salsa           
- Time:                 13:37:47    Run-No.:   00
- Run on host:           default
+ Date:               2020-10-16    Run:       urban_environment_salsa__gfortran_
+ Time:                 09:29:27    Run-No.:   00
+ Run on host:        gfortran_d
  Number of PEs:               4    Processor grid (x,y): (   2,   2) calculated
  ------------------------------------------------------------------------------
@@ -337,36 +337,36 @@
   0      6 00:00:04.54   0.7580A  -2.3736  -1.4553   0.8392  0.081  0.23  -0.979E+00     18.  0.137E+01  0.137E-01  0.763E-03  0.201E-03   60  17  11   17  14   0   20  17   0    0.000    0.000       0
   0      7 00:00:05.30   0.7580A  -2.3736  -1.4291   0.8325  0.081  0.24  -0.982E+00     18.  0.137E+01  0.140E-01  0.760E-03  0.199E-03   60  16  10   11  14   0   20  17   0    0.000    0.000       0
-  0      8 00:00:06.06   0.7580A  -2.3737  -1.3991   0.8253  0.080  0.25  -0.983E+00     18.  0.137E+01  0.143E-01  0.759E-03  0.198E-03   60  16   9   11  14   0   20  17   0    0.000    0.000       0
+  0      8 00:00:06.06   0.7580A  -2.3737  -1.3990   0.8253  0.080  0.25  -0.983E+00     18.  0.137E+01  0.143E-01  0.759E-03  0.198E-03   60  16   9   11  14   0   20  17   0    0.000    0.000       0
   0      9 00:00:06.82   0.7580A  -2.3738  -1.3711   0.8181  0.080  0.26  -0.985E+00     18.  0.137E+01  0.146E-01  0.760E-03  0.197E-03   60  16   9   11  14   0   20  17   0    0.000    0.000       0
   0     10 00:00:07.58   0.7580A  -2.3739  -1.3481   0.8113  0.079  0.26  -0.986E+00     18.  0.137E+01  0.150E-01  0.761E-03  0.196E-03   60  15   8   11  14   0   20  17   0    0.000    0.000       0
-  0     11 00:00:08.33   0.7580A  -2.3739  -1.3293   0.8054  0.079  0.27  -0.987E+00     18.  0.137E+01  0.153E-01  0.764E-03  0.196E-03   60  15   7   11  14   0   20  17   0    0.000    0.000       0
+  0     11 00:00:08.33   0.7580A  -2.3739  -1.3293   0.8055  0.079  0.27  -0.987E+00     18.  0.137E+01  0.153E-01  0.764E-03  0.196E-03   60  15   7   11  14   0   20  17   0    0.000    0.000       0
   0     12 00:00:09.09   0.7580A  -2.3740  -1.3242   0.8011  0.078  0.27  -0.988E+00     18.  0.136E+01  0.157E-01  0.768E-03  0.196E-03   60  14   6   16  14   0   20  17   0    0.000    0.000       0
   0     13 00:00:09.85   0.7580A  -2.3741  -1.3192   0.7985  0.078  0.27  -0.988E+00     18.  0.136E+01  0.161E-01  0.773E-03  0.196E-03   60  14   5   16  14   0   20  17   0    0.000    0.000       0
   0     14 00:00:10.61   0.7580A  -2.3742  -1.3107   0.7973  0.077  0.28  -0.989E+00     18.  0.136E+01  0.165E-01  0.778E-03  0.195E-03   60  14   5   16  14   0   20  17   0    0.000    0.000       0
-  0     15 00:00:11.37   0.7580A  -2.3743  -1.2988   0.8190  0.077  0.28  -0.989E+00     18.  0.136E+01  0.169E-01  0.783E-03  0.195E-03   60  13   4   16  14   0   11  14  18    0.000    0.000       0
-  0     16 00:00:12.12   0.7580A  -2.3743  -1.2833   0.8555  0.076  0.35  -0.989E+00     28.  0.136E+01  0.173E-01  0.786E-03  0.194E-03   60  13   3   16  14   0   11  14  18    0.000    0.000       0
-  0     17 00:00:12.88   0.7580A  -2.3744  -1.2644   0.8847  0.076  0.35  -0.988E+00     28.  0.136E+01  0.177E-01  0.788E-03  0.193E-03   60  12   2   16  14   0   11  14  18    0.000    0.000       0
-  0     18 00:00:13.64   0.7580A  -2.3745  -1.2474   0.9202  0.076  0.42  -0.987E+00     40.  0.136E+01  0.181E-01  0.792E-03  0.192E-03   60  12   1   11  14   0   10  14  18    0.000    0.000       0
-  0     19 00:00:14.40   0.7580A  -2.3746  -1.2427   0.9586  0.075  0.42  -0.986E+00     40.  0.136E+01  0.186E-01  0.796E-03  0.190E-03   60  12   0   11  14   0   10  14  18    0.000    0.000       0
-  0     20 00:00:15.16   0.7580A  -2.3746  -1.2389   0.9946  0.075  0.43  -0.985E+00     40.  0.136E+01  0.190E-01  0.799E-03  0.189E-03   60  12   0   11  14   0   10  14  18    0.000    0.000       0
-  0     21 00:00:15.91   0.7580A  -2.3747  -1.2358   1.0262  0.075  0.43  -0.985E+00     40.  0.136E+01  0.195E-01  0.803E-03  0.187E-03   60  11  19   11  14   0   10  14  18    0.000    0.000       0
-  0     22 00:00:16.67   0.7580A  -2.3748  -1.2331   1.0521  0.075  0.43  -0.984E+00     40.  0.136E+01  0.200E-01  0.806E-03  0.186E-03   60  11  18   11  14   0   10  14  18    0.000    0.000       0
-  0     23 00:00:17.43   0.7580A  -2.3749  -1.2309   1.0721  0.074  0.44  -0.983E+00     40.  0.136E+01  0.204E-01  0.809E-03  0.185E-03   60  10  17   11  14   0   10  14  18    0.000    0.000       0
-  0     24 00:00:18.19   0.7580A  -2.3749  -1.2290   1.0878  0.074  0.44  -0.983E+00     40.  0.136E+01  0.209E-01  0.812E-03  0.183E-03   60  10  16   11  14   0   11  14  18    0.000    0.000       0
-  0     25 00:00:18.95   0.7580A  -2.3750  -1.2274   1.1152  0.074  0.45  -0.982E+00     40.  0.136E+01  0.214E-01  0.817E-03  0.182E-03   60  10  15   11  14   0   11  14  18    0.000    0.000       0
-  0     26 00:00:19.70   0.7580A  -2.3751  -1.2262   1.1368  0.073  0.45  -0.981E+00     40.  0.136E+01  0.219E-01  0.821E-03  0.181E-03   60  10  15   11  14   0   11  14  18    0.000    0.000       0
-  0     27 00:00:20.46   0.7580A  -2.3752  -1.2252   1.1519  0.073  0.46  -0.981E+00     40.  0.136E+01  0.224E-01  0.825E-03  0.180E-03   60   9  14   11  14   0   11  14  18    0.000    0.000       0
-  0     28 00:00:21.22   0.7580A  -2.3752  -1.2242   1.1604  0.073  0.46  -0.980E+00     40.  0.136E+01  0.229E-01  0.829E-03  0.179E-03   60   9  13   11  14   0   11  14  18    0.000    0.000       0
-  0     29 00:00:21.98   0.7580A  -2.3753  -1.2231   1.1632  0.073  0.46  -0.980E+00     40.  0.136E+01  0.234E-01  0.835E-03  0.179E-03   60   9  12   11  14   0   11  14  18    0.000    0.000       0
-  0     30 00:00:22.74   0.7580A  -2.3754  -1.2219   1.1614  0.072  0.47  -0.980E+00     40.  0.136E+01  0.239E-01  0.840E-03  0.178E-03   60   8  11   11  14   0   11  14  18    0.000    0.000       0
-  0     31 00:00:23.49   0.7580A  -2.3755  -1.2202   1.1568  0.072  0.47  -0.980E+00     40.  0.136E+01  0.245E-01  0.846E-03  0.178E-03   60   8  10   11  14   0   11  14  18    0.000    0.000       0
-  0     32 00:00:24.25   0.7580A  -2.3756  -1.2178   1.1531  0.072  0.47  -0.979E+00     40.  0.136E+01  0.250E-01  0.853E-03  0.177E-03   60   8  10   11  14   0   13  14  18    0.000    0.000       0
-  0     33 00:00:25.01   0.7580A  -2.3756  -1.2144   1.1592  0.072  0.48  -0.979E+00     40.  0.136E+01  0.255E-01  0.860E-03  0.177E-03   60   7   8   11  14   0   13  14  18    0.000    0.000       0
-  0     34 00:00:25.77   0.7580A  -2.3757  -1.2097   1.1884  0.072  0.48  -0.979E+00     40.  0.136E+01  0.261E-01  0.867E-03  0.177E-03   60   7   8   11  14   0   11  14  17    0.000    0.000       0
-  0     35 00:00:26.53   0.7580A  -2.3758  -1.2035   1.2130  0.071  0.48  -0.979E+00     40.  0.136E+01  0.266E-01  0.874E-03  0.177E-03   60   7   7   11  14   0   11  14  17    0.000    0.000       0
-  0     36 00:00:27.28   0.7580A  -2.3759  -1.1953   1.2272  0.071  0.49  -0.979E+00     40.  0.136E+01  0.272E-01  0.882E-03  0.177E-03   60   6   6   11  14   0   11  14  17    0.000    0.000       0
-  0     37 00:00:28.04   0.7580A  -2.3759  -1.1849   1.2410  0.071  0.49  -0.978E+00     40.  0.136E+01  0.278E-01  0.889E-03  0.177E-03   60   6   5   11  14   0   12  14  17    0.000    0.000       0
-  0     38 00:00:28.80   0.7580A  -2.3760  -1.1721   1.2630  0.071  0.49  -0.978E+00     40.  0.136E+01  0.284E-01  0.897E-03  0.178E-03   60   6   4   11  14   0   14  14  16    0.000    0.000       0
-  0     39 00:00:29.56   0.7580A  -2.3761  -1.1606   1.2899  0.071  0.50  -0.978E+00     40.  0.136E+01  0.290E-01  0.905E-03  0.178E-03   60   5   3   11  13   0   14  14  16    0.000    0.000       0
-  0     40 00:00:30.32   0.7580A  -2.3762  -1.1497   1.3222  0.071  0.50  -0.978E+00     40.  0.136E+01  0.296E-01  0.914E-03  0.179E-03   60   5   2   11  13   0   12  14  16    0.000    0.000       0
-  0     41 00:00:31.07   0.7580A  -2.3762  -1.1354   1.3538  0.070  0.50  -0.978E+00     40.  0.136E+01  0.302E-01  0.923E-03  0.179E-03   60   5   2   11  13   0   13  14  16    0.000    0.000       0
+  0     15 00:00:11.37   0.7580A  -2.3743  -1.2988   0.8191  0.077  0.28  -0.989E+00     18.  0.136E+01  0.169E-01  0.783E-03  0.195E-03   60  13   4   16  14   0   11  14  18    0.000    0.000       0
+  0     16 00:00:12.12   0.7580A  -2.3743  -1.2833   0.8557  0.076  0.35  -0.989E+00     28.  0.136E+01  0.173E-01  0.786E-03  0.194E-03   60  13   3   16  14   0   11  14  18    0.000    0.000       0
+  0     17 00:00:12.88   0.7580A  -2.3744  -1.2644   0.8849  0.076  0.35  -0.988E+00     28.  0.136E+01  0.177E-01  0.788E-03  0.193E-03   60  12   2   16  14   0   11  14  18    0.000    0.000       0
+  0     18 00:00:13.64   0.7580A  -2.3745  -1.2474   0.9204  0.076  0.42  -0.987E+00     40.  0.136E+01  0.181E-01  0.792E-03  0.192E-03   60  12   1   11  14   0   10  14  18    0.000    0.000       0
+  0     19 00:00:14.40   0.7580A  -2.3746  -1.2427   0.9588  0.075  0.42  -0.986E+00     40.  0.136E+01  0.186E-01  0.796E-03  0.190E-03   60  12   0   11  14   0   10  14  18    0.000    0.000       0
+  0     20 00:00:15.16   0.7580A  -2.3746  -1.2390   0.9948  0.075  0.43  -0.985E+00     40.  0.136E+01  0.190E-01  0.799E-03  0.189E-03   60  12   0   11  14   0   10  14  18    0.000    0.000       0
+  0     21 00:00:15.91   0.7580A  -2.3747  -1.2358   1.0265  0.075  0.43  -0.985E+00     40.  0.136E+01  0.195E-01  0.803E-03  0.187E-03   60  11  19   11  14   0   10  14  18    0.000    0.000       0
+  0     22 00:00:16.67   0.7580A  -2.3748  -1.2331   1.0525  0.075  0.43  -0.984E+00     40.  0.136E+01  0.200E-01  0.806E-03  0.186E-03   60  11  18   11  14   0   10  14  18    0.000    0.000       0
+  0     23 00:00:17.43   0.7580A  -2.3749  -1.2309   1.0724  0.074  0.44  -0.983E+00     40.  0.136E+01  0.204E-01  0.809E-03  0.185E-03   60  10  17   11  14   0   10  14  18    0.000    0.000       0
+  0     24 00:00:18.19   0.7580A  -2.3749  -1.2290   1.0883  0.074  0.44  -0.983E+00     40.  0.136E+01  0.209E-01  0.812E-03  0.183E-03   60  10  16   11  14   0   11  14  18    0.000    0.000       0
+  0     25 00:00:18.95   0.7580A  -2.3750  -1.2275   1.1158  0.074  0.45  -0.982E+00     40.  0.136E+01  0.214E-01  0.817E-03  0.182E-03   60  10  15   11  14   0   11  14  18    0.000    0.000       0
+  0     26 00:00:19.70   0.7580A  -2.3751  -1.2262   1.1375  0.073  0.45  -0.981E+00     40.  0.136E+01  0.219E-01  0.821E-03  0.181E-03   60  10  15   11  14   0   11  14  18    0.000    0.000       0
+  0     27 00:00:20.46   0.7580A  -2.3752  -1.2252   1.1526  0.073  0.46  -0.981E+00     40.  0.136E+01  0.224E-01  0.825E-03  0.180E-03   60   9  14   11  14   0   11  14  18    0.000    0.000       0
+  0     28 00:00:21.22   0.7580A  -2.3752  -1.2243   1.1612  0.073  0.46  -0.980E+00     40.  0.136E+01  0.229E-01  0.829E-03  0.179E-03   60   9  13   11  14   0   11  14  18    0.000    0.000       0
+  0     29 00:00:21.98   0.7580A  -2.3753  -1.2232   1.1641  0.073  0.46  -0.980E+00     40.  0.136E+01  0.234E-01  0.835E-03  0.179E-03   60   9  12   11  14   0   11  14  18    0.000    0.000       0
+  0     30 00:00:22.74   0.7580A  -2.3754  -1.2219   1.1623  0.072  0.47  -0.980E+00     40.  0.136E+01  0.239E-01  0.840E-03  0.178E-03   60   8  11   11  14   0   11  14  18    0.000    0.000       0
+  0     31 00:00:23.49   0.7580A  -2.3755  -1.2202   1.1578  0.072  0.47  -0.980E+00     40.  0.136E+01  0.245E-01  0.846E-03  0.178E-03   60   8  10   11  14   0   11  14  18    0.000    0.000       0
+  0     32 00:00:24.25   0.7580A  -2.3756  -1.2178   1.1545  0.072  0.47  -0.979E+00     40.  0.136E+01  0.250E-01  0.853E-03  0.177E-03   60   8  10   11  14   0   13  14  18    0.000    0.000       0
+  0     33 00:00:25.01   0.7580A  -2.3756  -1.2145   1.1607  0.072  0.48  -0.979E+00     40.  0.136E+01  0.255E-01  0.860E-03  0.177E-03   60   7   8   11  14   0   13  14  18    0.000    0.000       0
+  0     34 00:00:25.77   0.7580A  -2.3757  -1.2098   1.1901  0.072  0.48  -0.979E+00     40.  0.136E+01  0.261E-01  0.867E-03  0.177E-03   60   7   8   11  14   0   11  14  17    0.000    0.000       0
+  0     35 00:00:26.53   0.7580A  -2.3758  -1.2035   1.2147  0.071  0.48  -0.979E+00     40.  0.136E+01  0.267E-01  0.874E-03  0.177E-03   60   7   7   11  14   0   11  14  17    0.000    0.000       0
+  0     36 00:00:27.28   0.7580A  -2.3759  -1.1953   1.2288  0.071  0.49  -0.979E+00     40.  0.136E+01  0.272E-01  0.882E-03  0.177E-03   60   6   6   11  14   0   11  14  17    0.000    0.000       0
+  0     37 00:00:28.04   0.7580A  -2.3759  -1.1850   1.2434  0.071  0.49  -0.978E+00     40.  0.136E+01  0.278E-01  0.889E-03  0.177E-03   60   6   5   11  14   0   12  14  17    0.000    0.000       0
+  0     38 00:00:28.80   0.7580A  -2.3760  -1.1722   1.2661  0.071  0.49  -0.978E+00     40.  0.136E+01  0.284E-01  0.897E-03  0.178E-03   60   6   4   11  14   0   14  14  16    0.000    0.000       0
+  0     39 00:00:29.56   0.7580A  -2.3761  -1.1605   1.2932  0.071  0.50  -0.978E+00     40.  0.136E+01  0.290E-01  0.906E-03  0.178E-03   60   5   3   11  13   0   14  14  16    0.000    0.000       0
+  0     40 00:00:30.32   0.7580A  -2.3762  -1.1495   1.3257  0.071  0.50  -0.978E+00     40.  0.136E+01  0.296E-01  0.915E-03  0.179E-03   60   5   2   11  13   0   12  14  16    0.000    0.000       0
+  0     41 00:00:31.07   0.7580A  -2.3762  -1.1352   1.3579  0.070  0.50  -0.978E+00     40.  0.136E+01  0.302E-01  0.923E-03  0.179E-03   60   5   2   11  13   0   13  14  16    0.000    0.000       0