Index: /palm/trunk/SOURCE/virtual_measurement_mod.f90
===================================================================
--- /palm/trunk/SOURCE/virtual_measurement_mod.f90	(revision 4751)
+++ /palm/trunk/SOURCE/virtual_measurement_mod.f90	(revision 4752)
@@ -25,4 +25,8 @@
 ! -----------------
 ! $Id$
+! Remove unnecessary output and merge output for quantities that are represented by the same
+! variable in PALM, e.g. surface temperature and brightness temperature
+!
+! 4707 2020-09-28 14:25:28Z suehring
 ! Bugfix for previous commit + minor formatting adjustments
 !
@@ -151,5 +155,5 @@
 !> 'real-world' observation coordinates. More precisely, coordinates and measured quanties will be
 !> read from a NetCDF file which contains all required information. In the model, the same
-!> quantities (as long as all the required components are switched-on) will be sampled at the
+!> quantities (as long as all the required PALM-modules are switched-on) will be sampled at the
 !> respective positions and output into an extra file, which allows for straight-forward comparison
 !> of model results with observations.
@@ -368,5 +372,5 @@
                                                         'smp   ' /)
 
-    CHARACTER(LEN=10), DIMENSION(0:1,1:8) ::  chem_vars = RESHAPE( (/ 'mcpm1     ', 'PM1       ',  &
+    CHARACTER(LEN=10), DIMENSION(0:1,1:9) ::  chem_vars = RESHAPE( (/ 'mcpm1     ', 'PM1       ',  &
                                                                       'mcpm2p5   ', 'PM2.5     ',  &
                                                                       'mcpm10    ', 'PM10      ',  &
@@ -375,6 +379,7 @@
                                                                       'mcno2     ', 'NO2       ',  &
                                                                       'mcno      ', 'NO        ',  &
-                                                                      'tro3      ', 'O3        '   &
-                                                                    /), (/ 2, 8 /) )
+                                                                      'tro3      ', 'O3        ',  &
+                                                                      'ncaa      ', 'PM10      '   & !simply assume ncaa to be PM10
+                                                                    /), (/ 2, 9 /) )
 
     INTEGER(iwp) ::  maximum_name_length = 32  !< maximum name length of station names
@@ -2379,6 +2384,4 @@
                  ENDIF
 
-              CASE ( 't_va' )
-
               CASE ( 'hus' ) ! mixing ratio
                  IF ( humidity )  THEN
@@ -2559,5 +2562,5 @@
 !--           PALM are in ppm and no distinction is made between mole-fraction and concentration
 !--           quantities (all are output in ppm so far).
-              CASE ( 'mcpm1', 'mcpm2p5', 'mcpm10', 'mfno', 'mfno2', 'mcno', 'mcno2', 'tro3' )
+              CASE ( 'mcpm1', 'mcpm2p5', 'mcpm10', 'mfno', 'mfno2', 'mcno', 'mcno2', 'tro3', 'ncaa' )
                  IF ( air_chemistry )  THEN
 !
@@ -2681,19 +2684,4 @@
                     ENDDO
                  ENDDO
-
-              CASE ( 'lwcs' )  ! liquid water of soil layer
-!                  DO  m = 1, vmea(l)%ns
-! !
-! !--                 Surface data is only available on inner subdomains, not on ghost points. Hence,
-! !--                 limit the indices.
-!                     j = MERGE( vmea(l)%j(m), nys, vmea(l)%j(m) > nys )
-!                     j = MERGE( j           , nyn, j            < nyn )
-!                     i = MERGE( vmea(l)%i(m), nxl, vmea(l)%i(m) > nxl )
-!                     i = MERGE( i           , nxr, i            < nxr )
-!
-!                     DO  mm = surf_lsm_h(0)%start_index(j,i), surf_lsm_h(0)%end_index(j,i)
-!                        vmea(l)%measured_vars(m,n) = ?
-!                     ENDDO
-!                  ENDDO
 
               CASE ( 'rnds' ) ! surface net radiation
@@ -2911,5 +2899,5 @@
                  ENDDO
 
-              CASE ( 'm_soil' ) ! soil moisture
+              CASE ( 'm_soil', 'lwcs' ) ! soil moisture
                  DO  m = 1, vmea(l)%ns_soil
                     j = MERGE( vmea(l)%j_soil(m), nys, vmea(l)%j_soil(m) > nys )
@@ -2928,5 +2916,5 @@
                  ENDDO
 
-              CASE ( 'ts' ) ! surface temperature
+              CASE ( 'ts', 'tb' ) ! surface temperature and brighness temperature
                  DO  m = 1, vmea(l)%ns
 !
@@ -2963,10 +2951,4 @@
                  vmea(l)%measured_vars(:,n) = surface_pressure
 
-              CASE ( 'pswrtg' ) ! platform speed above ground
-                 vmea(l)%measured_vars(:,n) = 0.0_wp
-
-              CASE ( 'pswrta' ) ! platform speed in air
-                 vmea(l)%measured_vars(:,n) = 0.0_wp
-
               CASE ( 't_lw' ) ! water temperature
                  DO  m = 1, vmea(l)%ns
@@ -2986,7 +2968,4 @@
                  ENDDO
 !
-!--           More will follow ...
-              CASE ( 'ncaa' )
-!
 !--           No match found - just set a fill value
               CASE DEFAULT