Index: palm/trunk/SOURCE/bulk_cloud_model_mod.f90
===================================================================
--- palm/trunk/SOURCE/bulk_cloud_model_mod.f90	(revision 4742)
+++ palm/trunk/SOURCE/bulk_cloud_model_mod.f90	(revision 4754)
@@ -24,4 +24,7 @@
 ! -----------------
 ! $Id$
+! Minor reformatting
+!
+! 4742 2020-10-14 15:11:02Z schwenkel
 ! Implement snow and graupel (bulk microphysics)
 !
@@ -1886,41 +1889,41 @@
              CALL adjust_cloud_ij( i,j )
              IF ( microphysics_ice_phase  .AND.  simulated_time > start_ice_microphysics )  THEN
-                 CALL adjust_ice_ij                    ( i,j )
-                 CALL nucleation_ice_ij                ( i,j )
-                 CALL homogeneous_freezing_cloud_ij    ( i,j )
-                 CALL deposition_ice_ij                ( i,j )
+                 CALL adjust_ice_ij( i,j )
+                 CALL nucleation_ice_ij( i,j )
+                 CALL homogeneous_freezing_cloud_ij( i,j )
+                 CALL deposition_ice_ij( i,j )
                  IF ( snow  .AND.  graupel )  THEN
-                    CALL deposition_snow_ij            ( i,j )
-                    CALL deposition_graupel_ij         ( i,j )
-                    CALL selfcollection_ice_ij         ( i,j )
-                    CALL selfcollection_snow_ij        ( i,j )
-                    CALL selfcollection_graupel_ij     ( i,j )
-                    CALL collection_graupel_ice_ij     ( i,j )
-                    CALL collection_snow_ice_ij        ( i,j )
-                    CALL collection_graupel_snow_ij    ( i,j )
-                    CALL riming_graupel_cloud_ij       ( i,j )
-                    CALL riming_graupel_rain_ij        ( i,j )
-                    CALL riming_ice_cloud_ij           ( i,j )
-                    CALL riming_ice_rain_ij            ( i,j )
-                    CALL riming_snow_cloud_ij          ( i,j )
-                    CALL riming_snow_rain_ij           ( i,j )
+                    CALL deposition_snow_ij( i,j )
+                    CALL deposition_graupel_ij( i,j )
+                    CALL selfcollection_ice_ij( i,j )
+                    CALL selfcollection_snow_ij( i,j )
+                    CALL selfcollection_graupel_ij( i,j )
+                    CALL collection_graupel_ice_ij( i,j )
+                    CALL collection_snow_ice_ij( i,j )
+                    CALL collection_graupel_snow_ij( i,j )
+                    CALL riming_graupel_cloud_ij( i,j )
+                    CALL riming_graupel_rain_ij( i,j )
+                    CALL riming_ice_cloud_ij( i,j )
+                    CALL riming_ice_rain_ij( i,j )
+                    CALL riming_snow_cloud_ij( i,j )
+                    CALL riming_snow_rain_ij( i,j )
                     CALL heterogeneous_freezing_rain_ij( i,j )
-                    CALL melting_ice_ij                ( i,j )
-                    CALL melting_snow_ij               ( i,j )
-                    CALL melting_graupel_ij            ( i,j )
-                    CALL evaporation_graupel_ij        ( i,j )
-                    CALL evaporation_snow_ij           ( i,j )
+                    CALL melting_ice_ij( i,j )
+                    CALL melting_snow_ij( i,j )
+                    CALL melting_graupel_ij( i,j )
+                    CALL evaporation_graupel_ij( i,j )
+                    CALL evaporation_snow_ij( i,j )
                  ENDIF
              ENDIF
-             CALL autoconversion_ij             ( i,j )
-             CALL accretion_ij                  ( i,j )
+             CALL autoconversion_ij( i,j )
+             CALL accretion_ij( i,j )
              CALL selfcollection_breakup_rain_ij( i,j )
-             CALL evaporation_rain_ij           ( i,j )
-             CALL sedimentation_rain_ij         ( i,j )
-             IF ( cloud_water_sedimentation )  CALL sedimentation_cloud_ij       ( i,j )
+             CALL evaporation_rain_ij( i,j )
+             CALL sedimentation_rain_ij( i,j )
+             IF ( cloud_water_sedimentation )  CALL sedimentation_cloud_ij( i,j )
              IF ( microphysics_ice_phase  .AND.  simulated_time > start_ice_microphysics )  THEN
-                 IF ( ice_crystal_sedimentation )             CALL sedimentation_ice_ij     ( i,j )
-                 IF ( snow_sedimentation  .AND.  snow )       CALL sedimentation_snow_ij    ( i,j )
-                 IF ( graupel_sedimentation .AND.  graupel )  CALL sedimentation_graupel_ij ( i,j )
+                 IF ( ice_crystal_sedimentation )             CALL sedimentation_ice_ij( i,j )
+                 IF ( snow_sedimentation  .AND.  snow )       CALL sedimentation_snow_ij( i,j )
+                 IF ( graupel_sedimentation .AND.  graupel )  CALL sedimentation_graupel_ij( i,j )
              ENDIF
 !
@@ -1928,5 +1931,5 @@
 !--       allocated.
           ELSEIF ( microphysics_morrison_no_rain  .AND.  .NOT. microphysics_seifert )  THEN
-             CALL activation_cloud_ij  ( i,j )
+             CALL activation_cloud_ij( i,j )
              CALL condensation_cloud_ij( i,j )
              IF ( cloud_water_sedimentation )  CALL sedimentation_cloud_ij( i,j )
@@ -1934,45 +1937,45 @@
 !--       Here the full morrison scheme is used and all processes of Seifert and Beheng are included
           ELSEIF ( microphysics_morrison  .AND.  microphysics_seifert )  THEN
-             CALL adjust_cloud_ij      ( i,j )
-             CALL activation_cloud_ij  ( i,j )
+             CALL adjust_cloud_ij( i,j )
+             CALL activation_cloud_ij( i,j )
              CALL condensation_cloud_ij( i,j )
              IF ( microphysics_ice_phase  .AND.  simulated_time > start_ice_microphysics )  THEN
-                 CALL adjust_ice_ij                    ( i,j )
-                 CALL nucleation_ice_ij                ( i,j )
-                 CALL homogeneous_freezing_cloud_ij    ( i,j )
-                 CALL deposition_ice_ij                ( i,j )
+                 CALL adjust_ice_ij( i,j )
+                 CALL nucleation_ice_ij( i,j )
+                 CALL homogeneous_freezing_cloud_ij( i,j )
+                 CALL deposition_ice_ij( i,j )
                  IF ( snow  .AND.  graupel )  THEN
-                    CALL deposition_snow_ij            ( i,j )
-                    CALL deposition_graupel_ij         ( i,j )
-                    CALL selfcollection_ice_ij         ( i,j )
-                    CALL selfcollection_snow_ij        ( i,j )
-                    CALL selfcollection_graupel_ij     ( i,j )
-                    CALL collection_graupel_ice_ij     ( i,j )
-                    CALL collection_snow_ice_ij        ( i,j )
-                    CALL collection_graupel_snow_ij    ( i,j )
-                    CALL riming_graupel_cloud_ij       ( i,j )
-                    CALL riming_graupel_rain_ij        ( i,j )
-                    CALL riming_ice_cloud_ij           ( i,j )
-                    CALL riming_ice_rain_ij            ( i,j )
-                    CALL riming_snow_cloud_ij          ( i,j )
-                    CALL riming_snow_rain_ij           ( i,j )
+                    CALL deposition_snow_ij ( i,j )
+                    CALL deposition_graupel_ij( i,j )
+                    CALL selfcollection_ice_ij( i,j )
+                    CALL selfcollection_snow_ij( i,j )
+                    CALL selfcollection_graupel_ij( i,j )
+                    CALL collection_graupel_ice_ij( i,j )
+                    CALL collection_snow_ice_ij( i,j )
+                    CALL collection_graupel_snow_ij( i,j )
+                    CALL riming_graupel_cloud_ij( i,j )
+                    CALL riming_graupel_rain_ij( i,j )
+                    CALL riming_ice_cloud_ij( i,j )
+                    CALL riming_ice_rain_ij( i,j )
+                    CALL riming_snow_cloud_ij( i,j )
+                    CALL riming_snow_rain_ij( i,j )
                     CALL heterogeneous_freezing_rain_ij( i,j )
-                    CALL melting_ice_ij                ( i,j )
-                    CALL melting_snow_ij               ( i,j )
-                    CALL melting_graupel_ij            ( i,j )
-                    CALL evaporation_graupel_ij        ( i,j )
-                    CALL evaporation_snow_ij           ( i,j )
+                    CALL melting_ice_ij( i,j )
+                    CALL melting_snow_ij( i,j )
+                    CALL melting_graupel_ij( i,j )
+                    CALL evaporation_graupel_ij( i,j )
+                    CALL evaporation_snow_ij( i,j )
                  ENDIF
              ENDIF
-             CALL autoconversion_ij                 ( i,j )
-             CALL accretion_ij                      ( i,j )
-             CALL selfcollection_breakup_rain_ij    ( i,j )
-             CALL evaporation_rain_ij               ( i,j )
-             CALL sedimentation_rain_ij             ( i,j )
-             IF ( cloud_water_sedimentation )  CALL sedimentation_cloud_ij       ( i,j )
+             CALL autoconversion_ij( i,j )
+             CALL accretion_ij( i,j )
+             CALL selfcollection_breakup_rain_ij( i,j )
+             CALL evaporation_rain_ij( i,j )
+             CALL sedimentation_rain_ij( i,j )
+             IF ( cloud_water_sedimentation )  CALL sedimentation_cloud_ij( i,j )
              IF ( microphysics_ice_phase  .AND.  simulated_time > start_ice_microphysics )  THEN
-                 IF ( ice_crystal_sedimentation )              CALL sedimentation_ice_ij     ( i,j )
-                 IF ( snow_sedimentation  .AND.  snow )        CALL sedimentation_snow_ij    ( i,j )
-                 IF ( graupel_sedimentation  .AND.  graupel )  CALL sedimentation_graupel_ij ( i,j )
+                 IF ( ice_crystal_sedimentation )              CALL sedimentation_ice_ij( i,j )
+                 IF ( snow_sedimentation  .AND.  snow )        CALL sedimentation_snow_ij( i,j )
+                 IF ( graupel_sedimentation  .AND.  graupel )  CALL sedimentation_graupel_ij( i,j )
              ENDIF
 