Index: palm/trunk/SOURCE/bulk_cloud_model_mod.f90
===================================================================
--- palm/trunk/SOURCE/bulk_cloud_model_mod.f90	(revision 4754)
+++ palm/trunk/SOURCE/bulk_cloud_model_mod.f90	(revision 4755)
@@ -1881,49 +1881,49 @@
 !--       Here the the simple kessler scheme is used.
           IF( microphysics_kessler )  THEN
-             CALL autoconversion_kessler_ij( i,j )
-             IF ( cloud_water_sedimentation )  CALL sedimentation_cloud_ij( i,j )
+             CALL autoconversion_kessler_ij( i, j )
+             IF ( cloud_water_sedimentation )  CALL sedimentation_cloud_ij( i, j )
 !
 !--       Here the seifert beheng scheme is used. Cloud concentration is assumed to a constant value
 !--       an qc a diagnostic value.
           ELSEIF ( microphysics_seifert  .AND.  .NOT. microphysics_morrison )  THEN
-             CALL adjust_cloud_ij( i,j )
+             CALL adjust_cloud_ij( i, j )
              IF ( microphysics_ice_phase  .AND.  simulated_time > start_ice_microphysics )  THEN
-                 CALL adjust_ice_ij( i,j )
-                 CALL nucleation_ice_ij( i,j )
-                 CALL homogeneous_freezing_cloud_ij( i,j )
-                 CALL deposition_ice_ij( i,j )
+                 CALL adjust_ice_ij( i, j )
+                 CALL nucleation_ice_ij( i, j )
+                 CALL homogeneous_freezing_cloud_ij( i, j )
+                 CALL deposition_ice_ij( i, j )
                  IF ( snow  .AND.  graupel )  THEN
-                    CALL deposition_snow_ij( i,j )
-                    CALL deposition_graupel_ij( i,j )
-                    CALL selfcollection_ice_ij( i,j )
-                    CALL selfcollection_snow_ij( i,j )
-                    CALL selfcollection_graupel_ij( i,j )
-                    CALL collection_graupel_ice_ij( i,j )
-                    CALL collection_snow_ice_ij( i,j )
-                    CALL collection_graupel_snow_ij( i,j )
-                    CALL riming_graupel_cloud_ij( i,j )
-                    CALL riming_graupel_rain_ij( i,j )
-                    CALL riming_ice_cloud_ij( i,j )
-                    CALL riming_ice_rain_ij( i,j )
-                    CALL riming_snow_cloud_ij( i,j )
-                    CALL riming_snow_rain_ij( i,j )
-                    CALL heterogeneous_freezing_rain_ij( i,j )
-                    CALL melting_ice_ij( i,j )
-                    CALL melting_snow_ij( i,j )
-                    CALL melting_graupel_ij( i,j )
-                    CALL evaporation_graupel_ij( i,j )
-                    CALL evaporation_snow_ij( i,j )
+                    CALL deposition_snow_ij( i, j )
+                    CALL deposition_graupel_ij( i, j )
+                    CALL selfcollection_ice_ij( i, j )
+                    CALL selfcollection_snow_ij( i, j )
+                    CALL selfcollection_graupel_ij( i, j )
+                    CALL collection_graupel_ice_ij( i, j )
+                    CALL collection_snow_ice_ij( i, j )
+                    CALL collection_graupel_snow_ij( i, j )
+                    CALL riming_graupel_cloud_ij( i, j )
+                    CALL riming_graupel_rain_ij( i, j )
+                    CALL riming_ice_cloud_ij( i, j )
+                    CALL riming_ice_rain_ij( i, j )
+                    CALL riming_snow_cloud_ij( i, j )
+                    CALL riming_snow_rain_ij( i, j )
+                    CALL heterogeneous_freezing_rain_ij( i, j )
+                    CALL melting_ice_ij( i, j )
+                    CALL melting_snow_ij( i, j )
+                    CALL melting_graupel_ij( i, j )
+                    CALL evaporation_graupel_ij( i, j )
+                    CALL evaporation_snow_ij( i, j )
                  ENDIF
              ENDIF
-             CALL autoconversion_ij( i,j )
-             CALL accretion_ij( i,j )
-             CALL selfcollection_breakup_rain_ij( i,j )
-             CALL evaporation_rain_ij( i,j )
-             CALL sedimentation_rain_ij( i,j )
-             IF ( cloud_water_sedimentation )  CALL sedimentation_cloud_ij( i,j )
+             CALL autoconversion_ij( i, j )
+             CALL accretion_ij( i, j )
+             CALL selfcollection_breakup_rain_ij( i, j )
+             CALL evaporation_rain_ij( i, j )
+             CALL sedimentation_rain_ij( i, j )
+             IF ( cloud_water_sedimentation )  CALL sedimentation_cloud_ij( i ,j )
              IF ( microphysics_ice_phase  .AND.  simulated_time > start_ice_microphysics )  THEN
-                 IF ( ice_crystal_sedimentation )             CALL sedimentation_ice_ij( i,j )
-                 IF ( snow_sedimentation  .AND.  snow )       CALL sedimentation_snow_ij( i,j )
-                 IF ( graupel_sedimentation .AND.  graupel )  CALL sedimentation_graupel_ij( i,j )
+                 IF ( ice_crystal_sedimentation )             CALL sedimentation_ice_ij( i, j )
+                 IF ( snow_sedimentation  .AND.  snow )       CALL sedimentation_snow_ij( i, j )
+                 IF ( graupel_sedimentation .AND.  graupel )  CALL sedimentation_graupel_ij( i, j )
              ENDIF
 !
@@ -1931,56 +1931,56 @@
 !--       allocated.
           ELSEIF ( microphysics_morrison_no_rain  .AND.  .NOT. microphysics_seifert )  THEN
-             CALL activation_cloud_ij( i,j )
-             CALL condensation_cloud_ij( i,j )
-             IF ( cloud_water_sedimentation )  CALL sedimentation_cloud_ij( i,j )
+             CALL activation_cloud_ij( i, j )
+             CALL condensation_cloud_ij( i, j )
+             IF ( cloud_water_sedimentation )  CALL sedimentation_cloud_ij( i, j )
 !
 !--       Here the full morrison scheme is used and all processes of Seifert and Beheng are included
           ELSEIF ( microphysics_morrison  .AND.  microphysics_seifert )  THEN
-             CALL adjust_cloud_ij( i,j )
-             CALL activation_cloud_ij( i,j )
-             CALL condensation_cloud_ij( i,j )
+             CALL adjust_cloud_ij( i, j )
+             CALL activation_cloud_ij( i, j )
+             CALL condensation_cloud_ij( i, j )
              IF ( microphysics_ice_phase  .AND.  simulated_time > start_ice_microphysics )  THEN
-                 CALL adjust_ice_ij( i,j )
-                 CALL nucleation_ice_ij( i,j )
-                 CALL homogeneous_freezing_cloud_ij( i,j )
-                 CALL deposition_ice_ij( i,j )
+                 CALL adjust_ice_ij( i, j )
+                 CALL nucleation_ice_ij( i, j )
+                 CALL homogeneous_freezing_cloud_ij( i, j )
+                 CALL deposition_ice_ij( i, j )
                  IF ( snow  .AND.  graupel )  THEN
-                    CALL deposition_snow_ij ( i,j )
-                    CALL deposition_graupel_ij( i,j )
-                    CALL selfcollection_ice_ij( i,j )
-                    CALL selfcollection_snow_ij( i,j )
-                    CALL selfcollection_graupel_ij( i,j )
-                    CALL collection_graupel_ice_ij( i,j )
-                    CALL collection_snow_ice_ij( i,j )
-                    CALL collection_graupel_snow_ij( i,j )
-                    CALL riming_graupel_cloud_ij( i,j )
-                    CALL riming_graupel_rain_ij( i,j )
-                    CALL riming_ice_cloud_ij( i,j )
-                    CALL riming_ice_rain_ij( i,j )
-                    CALL riming_snow_cloud_ij( i,j )
-                    CALL riming_snow_rain_ij( i,j )
-                    CALL heterogeneous_freezing_rain_ij( i,j )
-                    CALL melting_ice_ij( i,j )
-                    CALL melting_snow_ij( i,j )
-                    CALL melting_graupel_ij( i,j )
-                    CALL evaporation_graupel_ij( i,j )
-                    CALL evaporation_snow_ij( i,j )
+                    CALL deposition_snow_ij( i, j )
+                    CALL deposition_graupel_ij( i, j )
+                    CALL selfcollection_ice_ij( i, j )
+                    CALL selfcollection_snow_ij( i, j )
+                    CALL selfcollection_graupel_ij( i, j )
+                    CALL collection_graupel_ice_ij( i, j )
+                    CALL collection_snow_ice_ij( i, j )
+                    CALL collection_graupel_snow_ij( i, j )
+                    CALL riming_graupel_cloud_ij( i, j )
+                    CALL riming_graupel_rain_ij( i, j )
+                    CALL riming_ice_cloud_ij( i, j )
+                    CALL riming_ice_rain_ij( i, j )
+                    CALL riming_snow_cloud_ij( i, j )
+                    CALL riming_snow_rain_ij( i, j )
+                    CALL heterogeneous_freezing_rain_ij( i, j )
+                    CALL melting_ice_ij( i, j )
+                    CALL melting_snow_ij( i, j )
+                    CALL melting_graupel_ij( i, j )
+                    CALL evaporation_graupel_ij( i, j )
+                    CALL evaporation_snow_ij( i, j )
                  ENDIF
              ENDIF
-             CALL autoconversion_ij( i,j )
-             CALL accretion_ij( i,j )
-             CALL selfcollection_breakup_rain_ij( i,j )
-             CALL evaporation_rain_ij( i,j )
-             CALL sedimentation_rain_ij( i,j )
-             IF ( cloud_water_sedimentation )  CALL sedimentation_cloud_ij( i,j )
+             CALL autoconversion_ij( i, j )
+             CALL accretion_ij( i, j )
+             CALL selfcollection_breakup_rain_ij( i, j )
+             CALL evaporation_rain_ij( i, j )
+             CALL sedimentation_rain_ij( i, j )
+             IF ( cloud_water_sedimentation )  CALL sedimentation_cloud_ij( i, j )
              IF ( microphysics_ice_phase  .AND.  simulated_time > start_ice_microphysics )  THEN
-                 IF ( ice_crystal_sedimentation )              CALL sedimentation_ice_ij( i,j )
-                 IF ( snow_sedimentation  .AND.  snow )        CALL sedimentation_snow_ij( i,j )
-                 IF ( graupel_sedimentation  .AND.  graupel )  CALL sedimentation_graupel_ij( i,j )
-             ENDIF
-
-          ENDIF
-
-          CALL calc_precipitation_amount_ij( i,j )
+                 IF ( ice_crystal_sedimentation )              CALL sedimentation_ice_ij( i, j )
+                 IF ( snow_sedimentation  .AND.  snow )        CALL sedimentation_snow_ij( i, j )
+                 IF ( graupel_sedimentation  .AND.  graupel )  CALL sedimentation_graupel_ij( i, j )
+             ENDIF
+
+          ENDIF
+
+          CALL calc_precipitation_amount_ij( i, j )
 
        ENDIF
@@ -7452,5 +7452,5 @@
 ! Calculates melting of snow after SB2006
 !--------------------------------------------------------------------------------------------------!
-    SUBROUTINE melting_snow_ij ( i,j )
+    SUBROUTINE melting_snow_ij( i, j )
 
        INTEGER(iwp) ::  i               !< loop index
@@ -7612,5 +7612,5 @@
 ! Calculates evaporation of melting graupel particles after SB2006
 !--------------------------------------------------------------------------------------------------!
-    SUBROUTINE evaporation_graupel_ij ( i,j )
+    SUBROUTINE evaporation_graupel_ij( i, j )
 
        INTEGER(iwp) ::  i               !< loop index
@@ -7739,5 +7739,5 @@
 ! Calculates evaporation of melting snow particles after SB2006
 !--------------------------------------------------------------------------------------------------!
-    SUBROUTINE evaporation_snow_ij ( i,j )
+    SUBROUTINE evaporation_snow_ij( i, j )
 
        INTEGER(iwp) ::  i               !< loop index
@@ -7863,5 +7863,5 @@
 !> Heteorogenous freezing of rain droplets (Seifert and Beheng, 2006).
 !--------------------------------------------------------------------------------------------------!
-    SUBROUTINE heterogeneous_freezing_rain_ij( i,j )
+    SUBROUTINE heterogeneous_freezing_rain_ij( i, j )
 
        INTEGER(iwp) ::  i               !< loop index
@@ -8009,5 +8009,5 @@
 !> Homogeneous freezing of cloud droplets (Seifert and Beheng, 2006).
 !--------------------------------------------------------------------------------------------------!
-    SUBROUTINE homogeneous_freezing_cloud_ij( i,j )
+    SUBROUTINE homogeneous_freezing_cloud_ij( i, j )
 
        INTEGER(iwp) ::  i               !< loop index