Index: palm/trunk/SCRIPTS/.palm.config.aurora
===================================================================
--- palm/trunk/SCRIPTS/.palm.config.aurora	(revision 4758)
+++ palm/trunk/SCRIPTS/.palm.config.aurora	(revision 4759)
@@ -5,11 +5,11 @@
 %base_data         ~/palm/current_version/JOBS
 %base_directory    $HOME/palm/current_version
-%fast_io_catalog   /scratch/nhbksueh
+%fast_io_catalog   /scratch/<replace by LUIS username>
 %source_path       $HOME/palm/current_version/trunk/SOURCE
-%user_source_path  $base_directory/USER_CODE/$run_identifier
-%local_jobcatalog  $HOME/job_logfiles
+%user_source_path  $base_directory/JOBS/$run_identifier/USER_CODE
+%local_jobcatalog  $HOME/job_queue
 #
 %local_ip            130.75.7.130
-%local_username      nhbksueh
+%local_username      <replace by LUIS username>
 %compiler_name       mpinfort
 %compiler_name_ser   mpinfort
@@ -26,5 +26,5 @@
 #
 #----------------------------------------------------------------------------
-# INPUT-commands, executed before running PALM - lines must start with "IC:"
+# INPUT-commands, executed before running PALM - lines must start with "IC:" 
 #----------------------------------------------------------------------------
 #IC:ulimit -s unlimited
Index: palm/trunk/SCRIPTS/.palm.config.aurora_debug
===================================================================
--- palm/trunk/SCRIPTS/.palm.config.aurora_debug	(revision 4758)
+++ palm/trunk/SCRIPTS/.palm.config.aurora_debug	(revision 4759)
@@ -5,17 +5,17 @@
 %base_data         ~/palm/current_version/JOBS
 %base_directory    $HOME/palm/current_version
-%fast_io_catalog   /scratch/nhbksueh
+%fast_io_catalog   /scratch/<replace by LUIS username>
 %source_path       $HOME/palm/current_version/trunk/SOURCE
-%user_source_path  $base_directory/USER_CODE/$run_identifier
-%local_jobcatalog  $HOME/job_logfiles
+%user_source_path  $base_directory/JOBS/$run_identifier/USER_CODE
+%local_jobcatalog  $HOME/job_queue
 #
 %local_ip            130.75.7.130
-%local_username      nhbksueh
+%local_username      <replace by LUIS username>
 %compiler_name       mpinfort
 %compiler_name_ser   mpinfort
 %cpp_options         -fpp -D__parallel -D__nec -D__netcdf -D__netcdf4 -D__netcdf4_parallel -D__fftw -DMPI_REAL=MPI_DOUBLE_PRECISION -DMPI_2REAL=MPI_2DOUBLE_PRECISION
 %make_options        -j 4
-%compiler_options    -O3 -traceback -finline-functions -g -report-all -Werror -I /home/nhbkklau/opt/NetCDF_parallel_nec/include -I /home/nhbkklau/opt/fftw3_nec/include
-%linker_options      -L/home/nhbkklau/opt/NetCDF_parallel_nec/lib -lnetcdff -lnetcdf -Wl,-rpath=/home/nhbkklau/opt/NetCDF_parallel_nec/lib -L/home/nhbkklau/opt/hdf5_parallel_nec/lib -lhdf5 -lhdf5_hl -Wl,-rpath=/home/nhbkklau/opt/hdf5_parallel_nec/lib -L/home/nhbkklau/opt/fftw3_nec/lib -lfftw3 -lmpi
+%compiler_options    -O0 -fcheck=all -traceback -ftrace -proginf -report-all -g -Werror -fdiag-vector=0  -I /home/nhbkklau/opt/NetCDF_parallel_nec/include -I /home/nhbkklau/opt/fftw3_nec/include
+%linker_options      -ftrace -L/home/nhbkklau/opt/NetCDF_parallel_nec/lib -lnetcdff -lnetcdf -Wl,-rpath=/home/nhbkklau/opt/NetCDF_parallel_nec/lib -L/home/nhbkklau/opt/hdf5_parallel_nec/lib -lhdf5 -lhdf5_hl -Wl,-rpath=/home/nhbkklau/opt/hdf5_parallel_nec/lib -L/home/nhbkklau/opt/fftw3_nec/lib -lfftw3 -lmpi
 #%hostfile            auto
 %defaultqueue        all
@@ -23,10 +23,13 @@
 %memory              2000
 %login_init_cmd      source /opt/nec/ve/mpi/2.2.0/bin/necmpivars.sh
-%execute_command     mpirun -v -ve 0-3  -np {{mpi_tasks}}  ./palm
+%execute_command     mpirun -v -ve 0  -np {{mpi_tasks}}  ./palm
 #
 #----------------------------------------------------------------------------
-# INPUT-commands, executed before running PALM - lines must start with "IC:"
+# INPUT-commands, executed before running PALM - lines must start with "IC:" 
 #----------------------------------------------------------------------------
 #IC:ulimit -s unlimited
+IC:export VE_ERRCTL_DEALLOCATE=ABORT
+IC:export VE_FPE_ENABLE=DIV,FOF,INV
+IC:export VE_TRACEBACK=ALL
 #
 #----------------------------------------------------------------------------